Risultati ricerca

  1. Mithas

    Replace Components

    Ciao a tutti, ho sviluppato una piccola applicazione che sostituisce i componenti all'interno di un assieme, con sotto-assiemi, in base ad una tabella. Questo il codice: foreach (Node Comp in TreeListView.CheckedObjects) { string[] outComp = DBFilePath(Comp.Code)...
  2. Mithas

    OutOfDateComponents

    Ciao, qualcuno mi saprebbe dire cosa significa questa dicitura nell'assieme? E sopratutto come la risolvo? Grazie.
  3. Mithas

    Come passare da IModelDoc2 a IAssemblyDoc

    Salve a tutti, qualcuno per caso saprebbe come fare il cast da IModelDoc2 a IAssemblyDoc in C# per un'applicazione Solidworks. Di seguito la parte che mi da problemi. private List<Node> Children(IModelDoc2 comp) { List<Node> data2 = new List<Node>()...
  4. Mithas

    Eliminare arrotondamento migliaia Solidworks

    Salve a tutti, qualcuno per caso saprebbe come eliminare l'arrotondamento delle migliaia da Solidworks? Nel senso, il valore 1.11103e+07 dovrebbe invece essere 11112545 e vorrei che fosse proprio scritto così per una questione di riconoscimento di stringhe. Sapreste dami qualche consiglio...
  5. Mithas

    Macro VBA - Separatore Decimale

    Buon giorno a tutti. Vi espongo un problema che mi sta facendo perdere un sacco di tempo. Ho creato un modello parametrico in Solid che possa essere governato da una Macro in VBA tramite delle UserForm con delle caselle di testo da compilare. La macro funzione e fa il suo lavoro ma da dei...
  6. Mithas

    Movimenti

    Domanda? Come vedete ho una rampa in due parti. Un pistone dovrebbe, allungandosi e accorciandosi, muovere la parte superiore. Per fare il tutto, ho creato 3 assiemi, le due rampe e il pistone, poi riportati nell'assieme finale. Provo a muovere lo stelo del pistone e nn va. Per gestire un...
  7. Mithas

    Modellazione travi

    Salve, ho un problema nella modellazione delle travi. Come potete vedere dal disegno devo modellare la parte finale di una trave. A destra tutto apposto, la boccola alla fine è più larga della trave e tagliando e raccordando si sistema tutto, devo solo tappare il buco superiore. A sinistra...
  8. Mithas

    Problemi di spostamento

    Ciao, scusate l'ignoranza, ma come faccio a spostare un oggetto solido? Vi spiego. Ho creato due oggetti, la canna di un pistone e il tappo superiore, su di questo c'è una boccola sagomata in una certa maniera, ho fatto lo schizzo e l'ho estruso e modellato, ma... mi accorgo che lo schizzo è...